WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Versionless dependency on versioned extension  (Read 710 times)

Offline genec

  • Full Member
  • ***
  • Posts: 240
Versionless dependency on versioned extension
« on: November 08, 2011, 07:54:17 PM »
Has anyone given a thought to making a extension named without a version to depend on a package named with a version?  http://forum.tinycorelinux.net/index.php/topic,11563.0.html inspired the thought.

Simple idea: extension Xorg.tcz only contains a script which attempts to resolve its dependency by searching for a loaded extension named like Xorg-[.0-9]*.  If none found, possibly attempt to search local extension stores for such an extension and load it.  Otherwise, search for and automatically load the latest applicable extension and possibly add it to onboot if appropriate.

This would allow the .dep to list Xorg.tcz but still support the transition between multiple versions.

Thoughts?

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 9956
Re: Versionless dependency on versioned extension
« Reply #1 on: November 09, 2011, 07:13:52 AM »
IMHO no extension should require Xorg, just like no extension should require OSS or ALSA. The potential to mess the user's system is too great.

In other words, the issue wasn't that of a versioned name. Do you see other extensions that would benefit from this feature?
The only barriers that can stop you are the ones you create yourself.

Offline genec

  • Full Member
  • ***
  • Posts: 240
Re: Versionless dependency on versioned extension
« Reply #2 on: November 10, 2011, 06:16:52 AM »
Considering your statement, I agree.  Extensions should depend on subordinate extensions of Xorg, not Xorg itself.  If for some reason there's an extension that depends on a file in Xorg itself, perhaps that should be evaluated separately (and probably move the dependent file to a new/existing subordinate).  Perhaps there was more discussion/thoughts than what I saw in that one post.

Off the top of my head, I'm not sure there are other extensions that may benefit.  I'm not sure if a dependency on Xorg-lib.tcz where this extension would currently want Xorg-7.6-lib.tcz would work if say Xorg-7.7-lib.tcz was used to satisfy its dependency later.